=== debian/changelog ===
location-service (2.1+15.04.20150126.1-0ubuntu1) vivid; urgency=low

  [ thomas-voss ]
  * Make the remote::Provider::Stub fail loudly on construction if the
    other side is not reachable. Relax the exception in
    location::Daemon::main and do not exit if instantiating a provider
    fails. (LP: #1414591)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Jan 2015 20:16:32 +0000

location-service (2.1+15.04.20150125~rtm-0ubuntu1) 14.09; urgency=low

  [ CI Train Bot ]
  * Resync trunk

  [ thomas-voss ]
  * Add an interface for querying settings by key. Add an implementation
    leveraging boost::property_tree to provide settings. (LP: #1362765)
  * Allow for enabling/disabling providers. Wire up engine state changes
    to enabling/disabling of providers. (LP: #1392399)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 25 Jan 2015 12:45:54 +0000

location-service (2.1+15.04.20150113~rtm-0ubuntu1) 14.09; urgency=low

  [ thomas-voss ]
  * Print details about visible space vehicles to the gps provider test
    case. (LP: #1408984)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 Jan 2015 13:01:58 +0000

location-service (2.1+15.04.20150106~rtm-0ubuntu1) 14.09; urgency=low

  [ thomas-voss ]
  * Fix #1394204 by: (LP: #1394204)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 06 Jan 2015 18:50:55 +0000
