## location-service 2.1+15.04.20150213

=== src/CMakeLists.txt ===
add_subdirectory(location_service)
