=== debian/changelog ===
location-service (2.1+15.04.20150213-0ubuntu1) vivid; urgency=medium

  [ thomas-voss ]
  * Automatically clean up session store for dead clients. (LP:
    #1418033)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 13:54:25 +0000
