## location-service 2.1+15.10.20150529

=== debian/changelog ===
location-service (2.1+15.10.20150529-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Manuel de la Pena ]
  * Ensure that the trust store is started when is needed.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 29 May 2015 08:11:15 +0000
