=== debian/changelog ===
location-service (2.1+15.10.20150601.2-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Manuel de la Pena ]
  * Ensure that the trust store is started when is needed.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 01 Jun 2015 15:13:06 +0000
