## location-service 2.1+15.10.20150624.1

=== debian/changelog ===
location-service (2.1+15.10.20150624.1-0ubuntu1) wily; urgency=medium

  [ Alberto Aguirre ]
  * No change rebuild against platform-api 3

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 24 Jun 2015 15:11:09 +0000
