## location-service 2.1+15.10.20150706

=== src/location_service/com/CMakeLists.txt ===
add_subdirectory(ubuntu)
