=== src/location_service/com/ubuntu/location/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
   proxy_provider.cpp
   satellite_based_positioning_state.cpp
   settings.cpp
+  time_based_update_policy.cpp
   set_name_for_thread.cpp
   wifi_and_cell_reporting_state.cpp
