=== debian/changelog ===
location-service (2.1+15.10.20150706-0ubuntu1) wily; urgency=medium

  [ Alberto Aguirre ]
  * No change rebuild against platform-api 3

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 06 Jul 2015 18:22:22 +0000
