## location-service 2.1+15.10.20150727

=== debian/changelog ===
location-service (2.1+15.10.20150727-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Charles Kerr ]
  * drop build-dependency on g++-4.9 (LP: #1452329)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 27 Jul 2015 18:07:37 +0000
