## location-service 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(ubuntu-location-service)
 
-set(UBUNTU_LOCATION_SERVICE_VERSION_MAJOR 2)
+set(UBUNTU_LOCATION_SERVICE_VERSION_MAJOR 3)
 set(UBUNTU_LOCATION_SERVICE_VERSION_MINOR 0)
 set(UBUNTU_LOCATION_SERVICE_VERSION_PATCH 0)
