=== debian/changelog ===
location-service (3.0.0-0ubuntu3) wily; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jul 2015 00:23:18 +0200

location-service (3.0.0-0ubuntu2) wily; urgency=medium

  * libubuntu-location-service3: Replaces libubuntu-location-service2,
    config file /etc/gps.conf in both packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2015 09:57:50 +0200

location-service (3.0.0-0ubuntu1) wily; urgency=medium

  * Bump major revision and fix LP:#1478750 to account for toolchain update.

 -- Thomas Voß <thomas.voss@canonical.com>  Thu, 30 Jul 2015 08:33:13 +0200
