=== debian/control ===
--- 
+++ 
@@ -35,13 +35,14 @@
 Vcs-Bzr: https://code.launchpad.net/~phablet-team/location-service/trunk
 Vcs-Browser: http://bazaar.launchpad.net/~phablet-team/location-service/trunk/files
 
-Package: libubuntu-location-service2
+Package: libubuntu-location-service3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Replaces: libubuntu-location-service2
 Description: location service aggregating position/velocity/heading
  updates and exporting them over dbus.
  .
@@ -52,7 +53,7 @@
 Architecture: any
 Multi-Arch: foreign
 Recommends: ubuntu-location-service-doc,
-Depends: libubuntu-location-service2 (= ${binary:Version}),
+Depends: libubuntu-location-service3 (= ${binary:Version}),
          libdbus-1-dev,
          libdbus-cpp-dev,
          libboost-dev,
@@ -68,7 +69,7 @@
 Section: debug
 Architecture: any
 Multi-Arch: foreign
-Depends: libubuntu-location-service2 (= ${binary:Version}),
+Depends: libubuntu-location-service3 (= ${binary:Version}),
          ${misc:Depends},
 Description: location service aggregating position/velocity/heading
  updates and exporting them over dbus.
@@ -86,7 +87,7 @@
 
 Package: ubuntu-location-service-bin
 Architecture: any
-Depends: libubuntu-location-service2 (= ${binary:Version}),
+Depends: libubuntu-location-service3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          trust-store-bin,
@@ -100,7 +101,7 @@
 Package: ubuntu-location-service-examples
 Architecture: any
 Multi-Arch: same
-Depends: libubuntu-location-service2 (= ${binary:Version}),
+Depends: libubuntu-location-service3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          ubuntu-location-service-doc,
