=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,6 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 include /usr/share/dpkg/default.mk
-
-# Explicitly selecting a G{CC,++}-version here to avoid accidental
-# ABI breaks introduced by toolchain updates.
-export CC=$(DEB_HOST_GNU_TYPE)-gcc-4.9
-export CXX=$(DEB_HOST_GNU_TYPE)-g++-4.9
 
 ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el powerpc arm64))
         LOCATION_SERVICE_ENABLE_GPS_PROVIDER = OFF
