=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -92,11 +92,13 @@
 LOCATION_SERVICE_ADD_TEST(provider_test provider_test.cpp)
 LOCATION_SERVICE_ADD_TEST(wgs84_test wgs84_test.cpp)
 LOCATION_SERVICE_ADD_TEST(trust_store_permission_manager_test trust_store_permission_manager_test.cpp)
+LOCATION_SERVICE_ADD_TEST(runtime_test runtime_test.cpp)
 
 # Provider-specific test-cases go here.
 if (LOCATION_SERVICE_ENABLE_GPS_PROVIDER)
   include_directories(${CMAKE_SOURCE_DIR}/src/location_service)
   LOCATION_SERVICE_ADD_TEST(gps_provider_test gps_provider_test.cpp)
+  LOCATION_SERVICE_ADD_TEST(sntp_client_test sntp_client_test.cpp)
 endif(LOCATION_SERVICE_ENABLE_GPS_PROVIDER)
 
 if (LOCATION_SERVICE_ENABLE_GEOCLUE_PROVIDERS)
@@ -124,3 +126,6 @@
 
 LOCATION_SERVICE_ADD_TEST(remote_provider_test remote_provider_test.cpp)
 LOCATION_SERVICE_ADD_TEST(espoo_provider_test espoo_provider_test.cpp)
+LOCATION_SERVICE_ADD_TEST(delayed_service_test delayed_service_test.cpp)
+
+LOCATION_SERVICE_ADD_TEST(bug_1447110 bug_1447110.cpp)
