=== debian/control ===
--- 
+++ 
@@ -1,3 +1,8 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to control.in instead.
+# This file is regenerated automatically in the clean target.
+#
 Source: location-service
 Section: utils
 Priority: optional
@@ -27,6 +32,7 @@
                libubuntu-platform-hardware-api-headers [!arm64 !ppc64el !powerpc],
                libubuntu-platform-hardware-api-dev [!arm64 !ppc64el !powerpc],
                libproperties-cpp-dev,
+               lsb-release,
                trust-store-bin,
 Standards-Version: 3.9.4
 Homepage: http://launchpad.net/location-service
@@ -35,14 +41,13 @@
 Vcs-Bzr: https://code.launchpad.net/~phablet-team/location-service/trunk
 Vcs-Browser: http://bazaar.launchpad.net/~phablet-team/location-service/trunk/files
 
-Package: libubuntu-location-service3
+Package: libubuntu-location-service2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Replaces: libubuntu-location-service2
 Description: location service aggregating position/velocity/heading
  updates and exporting them over dbus.
  .
@@ -53,7 +58,7 @@
 Architecture: any
 Multi-Arch: foreign
 Recommends: ubuntu-location-service-doc,
-Depends: libubuntu-location-service3 (= ${binary:Version}),
+Depends: libubuntu-location-service2 (= ${binary:Version}),
          libdbus-1-dev,
          libdbus-cpp-dev,
          libboost-dev,
@@ -69,7 +74,7 @@
 Section: debug
 Architecture: any
 Multi-Arch: foreign
-Depends: libubuntu-location-service3 (= ${binary:Version}),
+Depends: libubuntu-location-service2 (= ${binary:Version}),
          ${misc:Depends},
 Description: location service aggregating position/velocity/heading
  updates and exporting them over dbus.
@@ -87,7 +92,7 @@
 
 Package: ubuntu-location-service-bin
 Architecture: any
-Depends: libubuntu-location-service3 (= ${binary:Version}),
+Depends: libubuntu-location-service2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          trust-store-bin,
@@ -101,7 +106,7 @@
 Package: ubuntu-location-service-examples
 Architecture: any
 Multi-Arch: same
-Depends: libubuntu-location-service3 (= ${binary:Version}),
+Depends: libubuntu-location-service2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          ubuntu-location-service-doc,
