## location-service 3.0.0+16.04.20160404-0ubuntu1

=== include/CMakeLists.txt ===
install(
    DIRECTORY location_service/com
    DESTINATION include/ubuntu-location-service-${UBUNTU_LOCATION_SERVICE_VERSION_MAJOR}
)
